%define ver_major 2.32
%define _name deskbar-applet
Packager: GNOME Maintainers Team <gnome@packages.altlinux.org>

Name: gnome-applets-extra-deskbar
Version: %ver_major.0
Release: alt1

Summary: A Gnome applet to allow easy access to various search engines
Group: Graphical desktop/GNOME
License: GPLv2
Url: http://live.gnome.org/DeskbarApplet
Source: http://ftp.gnome.org/pub/gnome/sources/%_name/%ver_major/%_name-%version.tar.bz2
Patch: %_name-2.29.90-alt-automake.patch

%define gtk_ver 2.20
%define pygtk_ver 2.12
%define pygobject_ver 2.15.3
%define gnome_python_ver 2.10
%define gnome_desktop_ver 2.10
%define dbus_python_ver 0.80.2
%define libebook_ver 1.7.92
%define pygnome_extras_ver 2.19.1

BuildPreReq: rpm-build-python gnome-common intltool

BuildRequires: docbook-dtds gnome-doc-utils-xslt libdbus-devel perl-XML-Parser python-module-pygnome-applet python-modules-encodings
BuildRequires: libXau-devel

# From configure.in
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: python-module-pygnome-extras-devel >= %pygnome_extras_ver
BuildPreReq: python-module-pygtk-devel >= %pygtk_ver
BuildPreReq: python-module-pygobject-devel >= %pygobject_ver
BuildPreReq: python-module-pygnome-devel >= %gnome_python_ver
BuildPreReq: libgnome-desktop-devel >= %gnome_desktop_ver
BuildPreReq: python-module-dbus-devel >= %dbus_python_ver
BuildPreReq: evolution-data-server-devel >= %libebook_ver
BuildPreReq: gnome-doc-utils
BuildPreReq: python-devel >= 2.4

Requires(post,preun): GConf2

Requires: python-module-pygnome-deskbar-applet = %version-%release

Provides: %_name

%description
The goal of DeskbarApplet is to provide an omnipresent versatile search
interface. By typing search terms into the deskbar entry in your panel you are
presented with the search results as you type.

Seaches are handled by a series of plugins. DeskbarApplet provides a simple
interface to manage these plugins to provide you with the search results that
fit your needs.

%package -n python-module-pygnome-deskbar-applet
Group: System/Libraries
Summary: Python module of DeskBar-Applet
Provides: python-module-pygnome-deskbap-applet = %version-%release
Obsoletes: python-module-pygnome-deskbap-applet

%description -n python-module-pygnome-deskbar-applet
This package contains main modules for Deskbar Applet.

%package -n python-module-pygnome-deskbar-applet-devel
Group: Development/Python
Summary: Development files for Deskbar-Applet
Provides: python-module-pygnome-deskbap-applet-devel = %version-%release
Obsoletes: python-module-pygnome-deskbap-applet
Requires: python-module-pygnome-deskbar-applet = %version-%release

%description -n python-module-pygnome-deskbar-applet-devel
This package contains all files necessary to develop plugins for
Deskbar-Applet.

%prep
%setup -q -n %_name-%version
%patch -p1 -b .am

# fack you Python
find -name Makefile.am -print0 |xargs -r0 subst 's,pythondir,pyexecdir,' --

%build
%autoreconf
export LDFLAGS="$LDFLAGS -lpython%__python_version"
%configure \
	--disable-schemas-install \
	--disable-scrollkeeper

%make

%install
%make_install install DESTDIR=%buildroot
#Clean la files
find %buildroot -name \*.la -exec rm {} \;

%find_lang --with-gnome --output=%_name.lang %_name deskbar 

%post
%gconf2_install %_name

%preun
if [ "$1" -eq 0 ]; then
%gconf2_uninstall %_name
fi

%files -f %_name.lang
%_sysconfdir/gconf/schemas/%_name.schemas
%_libexecdir/%_name
%_libdir/bonobo/servers/Deskbar_Applet.server
%_datadir/%_name
%_datadir/icons/hicolor/*/apps/%_name.*
%doc AUTHORS ChangeLog README

%files -n python-module-pygnome-deskbar-applet
%python_sitelibdir/deskbar

%files -n python-module-pygnome-deskbar-applet-devel
%_libdir/pkgconfig/%_name.pc

%changelog
* Thu Oct 07 2010 Yuri N. Sedunov <aris@altlinux.org> 2.32.0-alt1
- 2.32.0

* Mon Jun 21 2010 Yuri N. Sedunov <aris@altlinux.org> 2.30.1-alt2
- rebuild against libedataserver-1.2.so.13 (e-d-s-2.30.2)

* Sun May 02 2010 Yuri N. Sedunov <aris@altlinux.org> 2.30.1-alt1
- 2.30.1

* Mon Mar 29 2010 Yuri N. Sedunov <aris@altlinux.org> 2.30.0-alt1
- 2.30.0

* Wed Feb 24 2010 Yuri N. Sedunov <aris@altlinux.org> 2.29.91-alt1
- 2.29.91

* Wed Feb 10 2010 Yuri N. Sedunov <aris@altlinux.org> 2.29.90-alt1
- 2.29.90

* Wed Sep 23 2009 Yuri N. Sedunov <aris@altlinux.org> 2.28.0-alt1
- 2.28.0

* Mon Sep 14 2009 Yuri N. Sedunov <aris@altlinux.org> 2.27.92-alt1
- 2.27.92

* Mon Aug 17 2009 Yuri N. Sedunov <aris@altlinux.org> 2.27.90-alt1
- 2.27.90

* Mon May 18 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.2-alt1
- 2.26.2

* Tue Apr 14 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.1-alt1
- 2.26.1

* Wed Mar 18 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.0-alt1
- 2.26.0
- updated buildreqs

* Tue Jan 13 2009 Yuri N. Sedunov <aris@altlinux.org> 2.24.3-alt1
- 2.24.3

* Mon Dec 01 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.2-alt2
- updated buildreqs

* Sun Nov 23 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.2-alt1
- 2.24.2
- drop obsolete patch
- don't call %%{update,clean}_scrollkeeper in %%post{,un}

* Tue Oct 21 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.1-alt1
- 2.24.1

* Wed Oct 01 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.0-alt1
- 2.24.0
- updated buildreqs
- rename python* subpackages ('s/deskbap/deskbar/')
- disable 2.22.0.1-alt_altpygtk_compatible_temp.patch

* Wed Jul 09 2008 Igor Androsov <blake@altlinux.org> 2.22.3-alt1
- New version 2.22.3 

* Wed May 28 2008 Igor Androsov <blake@altlinux.org> 2.22.2.1-alt1.1
- New version 2.22.2.1
- Fixed bug #15783, provide %%_name to compabilty with other packages
- Remove duplicate include the deskbar-applet.pc file

* Mon Apr 14 2008 Igor Androsov <blake@altlinux.org> 2.22.1-alt2
- Fixed bug #15304
- * Split to: 
-   python-module-pygnome-deskbap-applet 
-   python-module-pygnome-deskbap-applet-devel
-   gnome-applets-extra-deskbar
- Fixed bug with uninstall script of gnome-applets-extra-deskbar

* Tue Apr 08 2008 Igor Androsov <blake@altlinux.org> 2.22.1-alt1
- Update to 2.22.1 

* Sun Mar 23 2008 Igor Androsov <blake@altlinux.org> 2.22.0.1-alt1
- Initial build for ALTLinux, adapted from Fedora Project
- + Add compatibly patch for current alt pygtk.

* Tue Mar 11 2008 Luke Macken <lmacken@redhat.com> - 2.22.0.1-1
- Update to 2.22.0.1

* Thu Feb 28 2008 Luke Macken <lmacken@redhat.com> - 2.21.92-1
- Update to 2.21.92

* Tue Feb 12 2008 Luke Macken <lmacken@redhat.com> - 2.21.91-1
- Update to 2.21.91

* Fri Feb  1 2008 Luke Macken <lmacken@redhat.com> - 2.21.90.1-2
- Apply a patch from yaneti to fix a bug in the fedorabz handler

* Tue Jan 29 2008 Luke Macken <lmacken@redhat.com> - 2.21.90.1-1
- 2.21.90.1

* Tue Jan 29 2008 Luke Macken <lmacken@redhat.com> - 2.21.90-1
- 2.21.90

* Thu Jan 17 2008 Luke Macken <lmacken@redhat.com> - 2.21.5-1
- 2.21.5

* Thu Dec 20 2007 Luke Macken <lmacken@redhat.com> - 2.21.4-1
- 2.21.4

* Mon Dec  3 2007 Luke Macken <lmacken@redhat.com> - 2.21.3-1
- 2.21.3

* Tue Nov 13 2007 Luke Macken <lmacken@redhat.com> - 2.21.2-1
- 2.21.2

* Mon Oct 15 2007 Luke Macken <lmacken@redhat.com> - 2.20.1-1
- 2.20.1
- Add dbus-python-devel to BuildRequires

* Mon Sep 17 2007 Luke Macken <lmacken@redhat.com> - 2.20.0-1
- 2.20.0

* Sun Sep  9 2007 Luke Macken <lmacken@redhat.com> - 2.19.92-1
- 2.19.92

* Sat Aug 21 2007 Luke Macken <lmacken@redhat.com> - 2.19.90.1-1
- 2.19.90.1
- Remove all patches, as they are all upstream now
- Update license tag to GPLv2
- New version of the Fedora bugzilla module

* Sat Jul 14 2007 Luke Macken <lmacken@redhat.com> - 2.19.5-1
- 2.19.5
- Add patch to fix beagle-live issue (Bug #248249) based on recommendations from
  upstream bug http://bugzilla.gnome.org/show_bug.cgi?id=429107
- Add the following temporary patches that I wrote and submitted upstream.
      deskbar-applet-desklicious-utils.patch (committed upstream, #456969)
      deskbar-applet-desklicious-results.patch (committed upstream, #456971)
      deskbar-applet-desklicious-name.patch (pending, #457133)
- Remove deskbar-applet-gdmclient.patch

* Fri Jun 29 2007 Luke Macken <lmacken@redhat.com> - 2.19.3-3
- Add deskbar-applet-gdmclient.patch to fix a nonfatal traceback on startup.
  (Upstream bug #452256)

* Wed Jun  6 2007 Luke Macken <lmacken@redhat.com> - 2.19.3-2
- Add deskbar-applet-firefox-searchplugins.patch to fix the issue where
  deskbar-applet does not find the default Firefox search plugins (Bug #242977
  and #220662)

* Tue Jun  5 2007 Luke Macken <lmacken@redhat.com> - 2.19.3-1
- Latest upstream release

* Wed Apr 11 2007 Luke Macken <lmacken@redhat.com> - 2.18.1-1
- 2.18.1

* Sun Mar 18 2007 Luke Macken <lmacken@redhat.com> - 2.18.0-1
- 2.18.0

* Wed Mar 14 2007 Luke Macken <lmacken@redhat.com> - 2.17.93-1
- 2.17.93

* Sat Mar  3 2007 Luke Macken <lmacken@redhat.com> - 2.17.92-1
- 2.17.92

* Tue Feb 27 2007 Luke Macken <lmacken@redhat.com> - 2.17.91-1
- 2.17.91

* Tue Feb 11 2007 Luke Macken <lmacken@redhat.com> - 2.17.90-3
- Disable scrollkeeper support, for now

* Tue Feb  9 2007 Luke Macken <lmacken@redhat.com> - 2.17.90-2
- Rebuild

* Tue Feb  9 2007 Luke Macken <lmacken@redhat.com> - 2.17.90-1
- 2.17.90
- scrollkeeper support

* Tue Jan 16 2007 Luke Macken <lmacken@redhat.com> - 2.17.5.1-2
- Add gnome-doc-utils to BuildRequires

* Tue Jan 16 2007 Luke Macken <lmacken@redhat.com> - 2.17.5.1-1
- 2.17.5.1

* Sun Dec 10 2006 Luke Macken <lmacken@redhat.com> - 2.17.2-3
- Rebuild for python 2.5

* Wed Nov 22 2006 Luke Macken <lmacken@redhat.com> - 2.17.2-2
- Run gtk-update-icon-cache in post and postun scripts (Bug #216827)

* Sun Nov 12 2006 Luke Macken <lmacken@redhat.com> - 2.17.2-1
- 2.17.2

* Sun Nov  5 2006 Luke Macken <lmacken@redhat.com> - 2.16-1-3
- Add gnome-python2-devel to BR

* Wed Nov  1 2006 Luke Macken <lmacken@redhat.com> - 2.16.1-2
- Add gnome-python2 to BuildRequires

* Wed Nov  1 2006 Luke Macken <lmacken@redhat.com> - 2.16.1-1
- 2.16.1

* Sat Oct 28 2006 Luke Macken <lmacken@redhat.com> - 2.16.0-2
- Rebuild

* Sun Oct  1 2006 Luke Macken <lmacken@redhat.com> - 2.16.0-1
- 2.16.0

* Wed Sep 06 2006 Michael J. Knox <michael[AT]knox.net.nz> - 2.15.91-5
- rebuild for FC6
- added BR on XML::Parser

* Sat Aug 19 2006 Luke Macken <lmacken@redhat.com> 2.15.91-3
- Install desktop file correctly

* Wed Aug 17 2006 Luke Macken <lmacken@redhat.com> 2.15.91-1
- 2.15.91
- Require gnome-python2-libwnck

* Mon Aug  7 2006 Luke Macken <lmacken@redhat.com> 2.14.1.1-2
- Rebuild

* Mon Apr 17 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 2.14.1.1-1
- Upstream update

* Thu Apr 13 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 2.14.1-1
- Upstream update
- Decoupled the BZ handler from the upstream tarball

* Tue Mar 14 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 2.14.0-2
- Fixed bug in Fedora Bugzilla handler (#184231)

* Sun Mar 12 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 2.14.0-1
- Upstream update

* Fri Feb 24 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 2.13.91-3
- Added beagle fix (#182728)

* Thu Feb 16 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 2.13.91-2
- Added patch for prctl thinko
- Added schema scripts

* Mon Feb 13 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 2.13.91-1
- Upstream update

* Thu Feb  2 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 2.13.90-1
- Upstream update

* Tue Jan  3 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.8.7-1
- Upstream update

* Mon Dec 12 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.8.6.1-1
- Upstream update

* Thu Dec  8 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.8.6-1
- Upstream update

* Thu Dec  1 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.8.5-2
- Fixed bugs in Fedora BZ handler

* Sun Nov 27 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.8.5-1
- Upstream update

* Wed Oct  5 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.5.0-1
- Upstream update
- Added Fedora BZ handler

* Thu Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sat Mar 19 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.2-3
- %%

* Wed Mar 15 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.2-2
- Broke %%description at 80 columns

* Tue Mar 15 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.2-1
- Bump release to 1

* Thu Feb 24 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0:0.2-0.iva.0
- Upstream update

* Sun Feb 20 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0:0.1-0.iva.0
- Initial RPM release.
